; Serenity (2016) for realtime Android Csound6 with HTML5 - by Arthur B. Hunkins
; dedicated to all 12-step people in recovery
:    This file is designed for the Csound for Android app found (free) at play.google.com 
;  Requires Android OS 5+, and looped WAV samples preferably 20+ seconds in length
;     Included are 7 WAV loops; default is soundin.0. Users may add their own.
;     ALL files must be located in the same folder (suggestion: the Music folder).
;  User loops require WAV format, may be mono or stereo, and can have any sample rate. 
;   Loops must be named soundin.0-6 (no WAV extension),
;     and may replace any or all of the included loops.
;  IMPORTANT: First click RUN! Then, if you want a loop other than the default,
;   make a different Loop Selection from the File1-6 buttons (= soundin.1-6).
;  To perform AUTO Mode:
;   If you want a duration other than the default 30 seconds, select an Auto Duration,
;   then choose # of voices by pressing one of the Voice buttons.
;  To perform MANUAL Mode:
;   Raise one of first 5 sliders.
;  In either mode, the "Rumble Filter" slider regulates rumble (any time after Run).
;  Note: For new button selections after performance begins, you must Stop and reRun.

<CsoundSynthesizer>
<CsOptions>

-odac -m0d

</CsOptions>
<CsInstruments>

sr      = 44100
ksmps   = 100
nchnls  = 2

gichan  filenchnls "/storage/emulated/0/Music/soundin.0"
gilen   filelen "/storage/emulated/0/Music/soundin.0"
gipeak  filepeak "/storage/emulated/0/Music/soundin.0"
gimult  =       32758 * .35 / gipeak
gichan1 filenchnls "/storage/emulated/0/Music/soundin.1"
gilen1  filelen "/storage/emulated/0/Music/soundin.1"
gipeak1 filepeak "/storage/emulated/0/Music/soundin.1"
gimult1 =       32758 * .35 / gipeak1
gichan2 filenchnls "/storage/emulated/0/Music/soundin.2"
gilen2  filelen "/storage/emulated/0/Music/soundin.2"
gipeak2 filepeak "/storage/emulated/0/Music/soundin.2"
gimult2 =       32758 * .35 / gipeak2
gichan3 filenchnls "/storage/emulated/0/Music/soundin.3"
gilen3  filelen "/storage/emulated/0/Music/soundin.3"
gipeak3 filepeak "/storage/emulated/0/Music/soundin.3"
gimult3 =       32758 * .35 / gipeak3
gichan4 filenchnls "/storage/emulated/0/Music/soundin.4"
gilen4  filelen "/storage/emulated/0/Music/soundin.4"
gipeak4 filepeak "/storage/emulated/0/Music/soundin.4"
gimult4 =       32758 * .35 / gipeak4
gichan5 filenchnls "/storage/emulated/0/Music/soundin.5"
gilen5  filelen "/storage/emulated/0/Music/soundin.5"
gipeak5 filepeak "/storage/emulated/0/Music/soundin.5"
gimult5 =       32758 * .35 / gipeak5
gichan6 filenchnls "/storage/emulated/0/Music/soundin.6"
gilen6  filelen "/storage/emulated/0/Music/soundin.6"
gipeak6 filepeak "/storage/emulated/0/Music/soundin.6"
gimult6 =       32758 * .35 / gipeak6
gistart init    0
gkauto  init    0
gkman   init    0
gkdur	init    25

        seed    0        


        instr 1
        
gkloop  init    0 
gkchan	init	gichan
gklen	init	gilen
gkpeak	init	gipeak
gkmult  init    gimult
kloop1  chnget  "butt13"
kloop1a trigger kloop1, .5, 0
        if kloop1a > 0 then
gkloop  =       kloop1
gkchan  =       gichan1
gklen   =       gilen1
gkpeak  =       gipeak1
gkmult  =       gimult1
        endif
kloop2  chnget  "butt14"
kloop2a trigger kloop2, .5, 0
        if kloop2a > 0 then
gkloop  =       kloop2
gkchan  =       gichan2
gklen   =       gilen2
gkpeak  =       gipeak2
gkmult  =       gimult2
        endif
kloop3  chnget  "butt15"
kloop3a trigger kloop3, .5, 0
        if kloop3a > 0 then
gkloop  =       kloop3
gkchan  =       gichan3
gklen   =       gilen3
gkpeak  =       gipeak3
gkmult  =       gimult3
        endif
kloop4  chnget  "butt16"
kloop4a trigger kloop4, .5, 0
        if kloop4a > 0 then
gkloop  =       kloop4
gkchan  =       gichan4
gklen   =       gilen4
gkpeak  =       gipeak4
gkmult  =       gimult4
        endif
kloop5  chnget  "butt17"
kloop5a trigger kloop5, .5, 0
        if kloop5a > 0 then
gkloop  =       kloop5
gkchan  =       gichan5
gklen   =       gilen5
gkpeak  =       gipeak5
gkmult  =       gimult5
        endif
kloop6  chnget  "butt18"
kloop6a trigger kloop6, .5, 0
        if kloop6a > 0 then
gkloop  =       kloop6
gkchan  =       gichan6
gklen   =       gilen6
gkpeak  =       gipeak6
gkmult  =       gimult6
        endif

kbut6   chnget  "butt6"
kbut6a  trigger kbut6, .5, 0
        if kbut6a > 0 then
gkdur   =       kbut6
        endif
kbut7   chnget  "butt7"
kbut7a  trigger kbut7, .5, 0
        if kbut7a > 0 then
gkdur   =       kbut7
        endif
kbut8   chnget  "butt8"
kbut8a  trigger kbut8, .5, 0
        if kbut8a > 0 then
gkdur   =       kbut8
        endif
kbut9   chnget  "butt9"
kbut9a  trigger kbut9, .5, 0
        if kbut9a > 0 then
gkdur   =       kbut9
        endif
kbut10  chnget  "butt10"
kbut10a trigger kbut10, .5, 0
        if kbut10a > 0 then
gkdur   =       kbut10
        endif
kbut11  chnget  "butt11"
kbut11a trigger kbut11, .5, 0
        if kbut11a > 0 then
gkdur   =       kbut11
        endif
kbut12  chnget  "butt12"
kbut12a trigger kbut12, .5, 0
        if kbut12a > 0 then
gkdur   =       kbut12
        endif

        if gkman == 0 then
k1      chnget  "butt1"
k1a     trigger k1, .5, 0
        if k1a > 0 then
gkone   =       1
gkmult  =       32758 / gkpeak
        event   "i", 2.1, 0, gkdur
gkauto  =       1
        turnoff
        endif
k1      chnget  "butt2"
k1a     trigger k1, .5, 0
        if k1a > 0 then
        event   "i", 2.1, 0, gkdur
        event   "i", 2.2, 0, gkdur
gkauto  =       1
        turnoff
        endif
k1      chnget  "butt3"
k1a     trigger k1, .5, 0
        if k1a > 0 then
gkmult  =       32758 * .54 / gkpeak
        event   "i", 2.1, 0, gkdur
        event   "i", 2.2, 0, gkdur
        event   "i", 2.3, 0, gkdur
gkauto  =       1
        turnoff
        endif
k1      chnget  "butt4"
k1a     trigger k1, .5, 0
        if k1a > 0 then
gkmult  =       32758 * .47 / gkpeak
        event   "i", 2.1, 0, gkdur
        event   "i", 2.2, 0, gkdur
        event   "i", 2.3, 0, gkdur
        event   "i", 2.4, 0, gkdur
gkauto  =       1
        turnoff
        endif
k1      chnget  "butt5"
k1a     trigger k1, .5, 0
        if k1a > 0 then
gkmult  =       32758 * .41 / gkpeak
        event   "i", 2.1, 0, gkdur
        event   "i", 2.2, 0, gkdur
        event   "i", 2.3, 0, gkdur
        event   "i", 2.4, 0, gkdur
        event   "i", 2.5, 0, gkdur
gkauto  =       1
        turnoff
        endif
        endif

gkon    active  2
gkamp	chnget  "slider1"
gkamp   table   gkamp * 512, 1
gkamp   =       gkamp * gkmult
gkamp   port    gkamp, .1
ktrig   trigger gkamp, .01, 0
        if ktrig = 1 then
        event   "i", 2.1, 0, -1
gkman   =       1
        endif
ktrigb  trigger gkamp, .01, 1
        if ktrigb = 1 then
        event "i", -2.1, 0, 0
        endif
gkamp2	chnget  "slider2"
gkamp2  table   gkamp2 * 512, 1
gkamp2  =       gkamp2 * gkmult
gkamp2  port    gkamp2, .1
ktrig2  trigger gkamp2, .01, 0
        if ktrig2 = 1 then
        event "i", 2.2, 0, -1
gkman   =       1
        endif
ktrig2b trigger gkamp2, .01, 1
        if ktrig2b = 1 then
        event "i", -2.2, 0, 0
        endif
gkamp3	chnget  "slider3"
gkamp3  table   gkamp3 * 512, 1
gkamp3  =       gkamp3 * gkmult
gkamp3  port    gkamp3, .1
ktrig3  trigger gkamp3, .01, 0
        if ktrig3 = 1 then
        event "i", 2.3, 0, -1
gkman   =       1
        endif
ktrig3b trigger gkamp3, .01, 1
        if ktrig3b = 1 then
        event "i", -2.3, 0, 0
        endif
gkamp4	chnget  "slider4"
gkamp4  table   gkamp4 * 512, 1
gkamp4  =       gkamp4 * gkmult
gkamp4  port    gkamp4, .1
ktrig4  trigger gkamp4, .01, 0
        if ktrig4 = 1 then
        event "i", 2.4, 0, -1
gkman   =       1
        endif
ktrig4b trigger gkamp4, .01, 1
        if ktrig4b = 1 then
        event "i", -2.4, 0, 0
        endif
gkamp5	chnget  "slider5"
gkamp5  table   gkamp5 * 512, 1
gkamp5  =       gkamp5 * gkmult
gkamp5  port    gkamp5, .1
ktrig5  trigger gkamp5, .01, 0
        if ktrig5 = 1 then
        event "i", 2.5, 0, -1
gkman   =       1
        endif
ktrig5b trigger gkamp5, .01, 1
        if ktrig5b = 1 then
        event "i", -2.5, 0, 0
        endif        

        endin
                
        instr 2

ichan   =      i(gkchan)
iloop   =      i(gkloop)
        if iloop == 0 then
Sloop = "/storage/emulated/0/Music/soundin.0"
        elseif iloop == 1 then
Sloop = "/storage/emulated/0/Music/soundin.1"
        elseif iloop == 2 then
Sloop = "/storage/emulated/0/Music/soundin.2"
        elseif iloop == 3 then
Sloop = "/storage/emulated/0/Music/soundin.3"
        elseif iloop == 4 then
Sloop = "/storage/emulated/0/Music/soundin.4"
        elseif iloop == 5 then
Sloop = "/storage/emulated/0/Music/soundin.5"
        else
Sloop = "/storage/emulated/0/Music/soundin.6"
        endif

iauto   =      i(gkauto)  
        if iauto == 1 then
ifirst  init   1
repeat:
ione    =      i(gkone)
ibase   random -.1, .1
istart  unirand gklen * .75
idur    random 10, 30 
iatt    random 2.5, 5
idelay  random .0001, 1.5
idelay  =      (ione == 1? .0001: idelay)
imaxamp random .6, 1
        if ifirst == 1 then
        if p1 == 2.1 then
ibase   =      0
iatt    =      3
imaxamp =      1
istart  =      0
        elseif p1 == 2.2 then
idelay  =      idelay + 4 
        elseif p1 == 2.3 then
idelay  =      idelay + 5 
        elseif p1 == 2.4 then
idelay  =      idelay + 6 
        else
idelay  =      idelay + 7 
        endif   
        endif
ifirst  =       0
irel    random  2.5, 4
kamp    linsegr 0, idelay, 0, iatt, imaxamp, idur, imaxamp, irel, 0, 5, 0
kamp2   table   kamp * 512, 1
kamp2   =       kamp2 * gkmult
khp     chnget  "slider6"
khp     tab     khp, 2, 1
        if ichan == 1 then
a1      diskin2 Sloop, 1 + ibase, istart, 1
a1      atone   a1 * kamp2, khp
        outs    a1, a1
        else
a1, a2  diskin2 Sloop, 1 + ibase, istart, 1
a1      atone   a1 * kamp2, khp
a2      atone   a2 * kamp2, khp
        if (p1 == 2.1) || (p1 == 2.3) || (p1 == 2.5) then
        outs    a1, a2
        else
        outs    a2, a1
        endif
        endif
        rireturn
kreinit trigger kamp, .05, 1
        if kreinit == 1 then
        reinit  repeat
        endif
        else
ion     =       i(gkon)
ibase   random  -.1, .1
ibase   =       ((ion > 0) || ((ion == 0) && (gistart > 0))? ibase + 1: 1)
istart  unirand gklen * .75
istart  =       (gistart == 0? 0: istart)
gistart =       1
        if p1 == 2.1 then
kamp    =       gkamp
        elseif p1 == 2.2 then
kamp    =       gkamp2
        elseif p1 == 2.3 then
kamp    =       gkamp3
        elseif p1 == 2.4 then
kamp    =       gkamp4
        else
kamp    =       gkamp5
        endif
khp     chnget  "slider6"
khp     tab     khp, 2, 1
        if ichan == 1 then
a1      diskin2 Sloop, ibase, istart, 1
a1      atone   a1 * kamp, khp
        outs    a1, a1
        else
a1, a2  diskin2 Sloop, ibase, istart, 1
a1      atone   a1 * kamp, khp
a2      atone   a2 * kamp, khp
        if (p1 == 2) || (p1 == 4) || (p1 == 6) then
        outs    a1, a2
        else
        outs    a2, a1
        endif
        endif        
        endif
        
        endin
   
</CsInstruments>

<CsScore>

f 1 0 512 16 0 7 0 0 505 .8 1
f 2 0 513 -5 20 513 2000
i 1 0 28800

e

</CsScore>
</CsoundSynthesizer>

<html>
<head>
<style type="text/css">

.noselect {
	-webkit-user-select: none;
}

input[type='range'] {
	-webkit-appearance: none;
	background-color: silver;
	height: 15px;
	width: 95%;
}

table td {
	text-align: center;
	color: white;
	background-color: teal;
}

.buttons {
	width: 100%;
}        

</style>

</head>
<body>

<div class="noselect" align="center">

<big><b>SERENITY</b></big> (2016) for Android Csound6 HTML<br>
Arthur B. Hunkins (arthunkins.com)

<br><b>Loop Selection</b> - default=File0

<table class="buttons" style="margin: auto;">
<tr>
<td id="butt13" class="file_button">
<button class="button_height" onclick="butt13()">File1</button>
</td>
<td id="butt14" class="file_button">
<button class="button_height" onclick="butt14()">File2</button>
</td>
<td id="butt15" class="file_button">
<button class="button_height" onclick="butt15()">File3</button>
</td>
<td id="butt16" class="file_button">
<button class="button_height" onclick="butt16()">File4</button>
</td>
<td id="butt17" class="file_button">
<button class="button_height" onclick="butt17()">File5</button>
</td>
<td id="butt18" class="file_button">
<button class="button_height" onclick="butt18()">File6</button>
</td>
</tr>
</table>

Auto Duration (<b>m</b>=mins <b>h</b>=hrs) default=30sec

<table class="buttons" style="margin: auto;">
<tr>
<td id="butt6" class="duration_button">
<button class="button_height" onclick="butt6()"> 1m </button>
</td>
<td id="butt7" class="duration_button">
<button class="button_height" onclick="butt7()"> 5m </button>
</td>
<td id="butt8" class="duration_button">
<button class="button_height" onclick="butt8()">10m</button>
</td>
<td id="butt9" class="duration_button">
<button class="button_height" onclick="butt9()">30m</button>
</td>
<td id="butt10" class="duration_button">
<button class="button_height" onclick="butt10()"> 1h </button>
</td>
<td id="butt11" class="duration_button">
<button class="button_height" onclick="butt11()"> 3h </button>
</td>
<td id="butt12" class="duration_button">
<button class="button_height" onclick="butt12()"> 8h </button>
</td>
</tr>
</table>

<b>AUTO MODE</b> - click a button to begin

<table class="buttons" style="margin: auto;">
<tr>
<td id="butt1" class="auto_button">
<button class="button_height" onclick="butt1()">1Voice</button>
</td>
<td id="butt2" class="auto_button">
<button class="button_height" onclick="butt2()">2Voice</button>
</td>
<td id="butt3" class="auto_button">
<button class="button_height" onclick="butt3()">3Voice</button>
</td>
<td id="butt4" class="auto_button">
<button class="button_height" onclick="butt4()">4Voice</button>
</td>
<td id="butt5" class="auto_button">
<button class="button_height" onclick="butt5()">5Voice</button>
</td>
</tr>
</table>

or <b>MANUAL MODE</b> - raise a slider to begin
<table>
<colgroup>
  <col width="">
  <col width="100%">
</colgroup>
<tr>
<td>
	<div class="slider_height">
<label for=slider1>Voice 1</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider1 step=0.001 oninput="slider1(value)">
</td>
</tr>
<tr>
<td>
	<div class="slider_height">
<label for=slider2>Voice 2</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider2 step=0.001 oninput="slider2(value)">
</td>
</tr>
<tr>
<td>
	<div class="slider_height">
<label for=slider3>Voice 3</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider3 step=0.001 oninput="slider3(value)">
</td>
</tr>
<tr>
<td>
	<div class="slider_height">
<label for=slider4>Voice 4</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider4 step=0.001 oninput="slider4(value)">
</td>
</tr>
<tr>
<td>
	<div class="slider_height">
<label for=slider5>Voice 5</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider5 step=0.001 oninput="slider5(value)">
</td>
</tr>
</table>

<b>RUMBLE FILTER</b> - for both modes
<table>
<colgroup>
  <col width="">
  <col width="100%">
</colgroup>
<tr>
<td>
	<div class="slider_height">
<label for=slider6>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
</div>
</td>
<td>
<input type=range min=0 max=1 value=0 id=slider6 step=0.001 oninput="slider6(value)">
</td>
</tr>
</table>
</div>

<script>

/* adjust button colors here */
var normal_button = "cadetblue";
var pushed_button = "mediumaquamarine";

/* adjust widget dimensions (% of screen) here */
var slider_height_fraction = 0.075;
var button_height_fraction = 0.06;

var screen_height = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
var screen_width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
var elements1 = document.getElementsByClassName("slider_height");
Array.prototype.forEach.call(elements1, function(element) {
	element.setAttribute("style", "height: "+ screen_height * slider_height_fraction +"px;");
});
var elements2 = document.getElementsByClassName("button_height");
Array.prototype.forEach.call(elements2, function(element) {
	element.setAttribute("style", "height: "+ screen_height * button_height_fraction +"px;");
});
var elements3 = document.getElementsByTagName('td');
Array.prototype.forEach.call(elements3, function(element) {
	element.setAttribute("style", "background-color: " + normal_button);
});

function slider1(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider1', numberValue);
}
function slider2(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider2', numberValue);
}
function slider3(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider3', numberValue);
}
function slider4(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider4', numberValue);
}
function slider5(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider5', numberValue);
}
function slider6(value) {
	var numberValue = parseFloat(value);
	csound.setControlChannel('slider6', numberValue);
}

function fileButtonTimeout() {
    myTimeout = setTimeout(resetFileButtons, 500);
}
function durationButtonTimeout() {
    myTimeout = setTimeout(resetDurationButtons, 500);
}
function autoButtonTimeout() {
    myTimeout = setTimeout(resetAutoButtons, 500);
}

function resetFileButtons() {
	Array.prototype.forEach.call(document.getElementsByClassName("file_button"), function(element) {
		element.setAttribute("style", "background-color: " + normal_button);
	});
	csound.setControlChannel('butt13', 0);
	csound.setControlChannel('butt14', 0);
	csound.setControlChannel('butt15', 0);
	csound.setControlChannel('butt16', 0);
	csound.setControlChannel('butt17', 0);
	csound.setControlChannel('butt18', 0);
}
function resetDurationButtons() {
	Array.prototype.forEach.call(document.getElementsByClassName("duration_button"), function(element) {
		element.setAttribute("style", "background-color: " + normal_button);
	});
	csound.setControlChannel('butt6', 0);
	csound.setControlChannel('butt7', 0);
	csound.setControlChannel('butt8', 0);
	csound.setControlChannel('butt9', 0);
	csound.setControlChannel('butt10', 0);
	csound.setControlChannel('butt11', 0);
	csound.setControlChannel('butt12', 0);
}
function resetAutoButtons() {
	Array.prototype.forEach.call(document.getElementsByClassName("auto_button"), function(element) {
		element.setAttribute("style", "background-color: " + normal_button);
	});
	csound.setControlChannel('butt1', 0);
	csound.setControlChannel('butt2', 0);
	csound.setControlChannel('butt3', 0);
	csound.setControlChannel('butt4', 0);
	csound.setControlChannel('butt5', 0);
}

function butt1() {
    document.getElementById("butt1").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt1', 1);
    autoButtonTimeout()
}
function butt2() {
    document.getElementById("butt2").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt2', 1);
    autoButtonTimeout()
}
function butt3() {
    document.getElementById("butt3").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt3', 1);
    autoButtonTimeout()
}
function butt4() {
    document.getElementById("butt4").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt4', 1);
    autoButtonTimeout()
}
function butt5() {
    document.getElementById("butt5").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt5', 1);
    autoButtonTimeout()
}
function butt6() {
        document.getElementById("butt6").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt6', 55);
        durationButtonTimeout()
}
function butt7() {
        document.getElementById("butt7").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt7', 295);
        durationButtonTimeout()
}
function butt8() {
        document.getElementById("butt8").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt8', 595);
        durationButtonTimeout()
}
function butt9() {
        document.getElementById("butt9").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt9', 1795);
        durationButtonTimeout()
}
function butt10() {
        document.getElementById("butt10").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt10', 3595);
        durationButtonTimeout()
}
function butt11() {
        document.getElementById("butt11").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt11', 10795);
        durationButtonTimeout()
}
function butt12() {
        document.getElementById("butt12").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt12', 28795);
        durationButtonTimeout()
}
function butt13() {
        document.getElementById("butt13").setAttribute("style", "background-color: " + pushed_button);
        csound.setControlChannel('butt13', 1);
        fileButtonTimeout();
}
function butt14() {
    document.getElementById("butt14").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt14', 2);
    fileButtonTimeout();
}
function butt15() {
    document.getElementById("butt15").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt15', 3);
    fileButtonTimeout();
}
function butt16() {
    document.getElementById("butt16").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt16', 4);
    fileButtonTimeout();
}
function butt17() {
    document.getElementById("butt17").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt17', 5);
    fileButtonTimeout();
}
function butt18() {
    document.getElementById("butt18").setAttribute("style", "background-color: " + pushed_button);
    csound.setControlChannel('butt18', 6);
    fileButtonTimeout();
}

</script>

</body>
</html>